Package logilab :: Package common :: Module table :: Class TableWriter

[frames] | no frames]

# Class TableWriter

source code

    A class to write tables

Instance Methods

__init__(self, stream, table, style, **properties) | source code

set_style(self, style) sets the table's associated style... | source code

set_renderer(self, renderer) sets the way to render cell... | source code

update_properties(self, **properties) Updates writer's properties (for cell rendering)... | source code

write_table(self, title="") Writes the table... | source code

Method Details

### set_style(self, style)

source code

    sets the table's associated style

### set_renderer(self, renderer)

source code

    sets the way to render cell

### update_properties(self, **properties)

source code

    Updates writer's properties (for cell rendering)

### write_table(self, title="")

source code

    Writes the table